import request from '@/utils/request'
import state from '@/store'
import router from '@/router'

// 获取机床图号（全部）
export function getGraphNum() {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '车间生产管理工艺_传递后_机床名称_根据机床查询',
      param: '是否传递=2&考核状态=3&工艺任务分配状态=1&定额任务分配状态=1&单件是否外协=0'
    }
  })
}
// 获取组号（全部）
export function getGroupNum(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '车间生产管理工艺_传递后_组件名称_查询数据',
      param: '机床流水号=' + num + '&是否传递=2&考核状态=3&工艺任务分配状态=1&定额任务分配状态=1&单件是否外协=0'
    }
  })
}
// 工艺定额人员查询
export function initPerson() {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '人事档案管理_人员_部门与人员_查询数据_根据部门编号',
      param: '考核部门编号=20'
    }
  })
}
// 获取工艺计划，填充主表
export function getTable(PageCurrent, PageSize, num) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '车间生产管理工艺_零件工艺计划_已制定计划_按组查',
      param: '组件流水号=' + num,
      Pagination: PageCurrent + '&' + PageSize
    }
  })
}

// 保存
export function save(num1, num2, num3) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '2',
      name: '车间生产管理工艺_工艺任务分配_保存数据_循环执行',
      param: '工艺计划流水号组=' + num1 + '&零件图号组=' + num2 + '&工艺员流水号组=' + num3
    }
  })
}
// 保存
export function save2(num1, num2, num3, num4) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '车间生产管理工艺_工艺任务分配_通用件自动编制工艺_循环执行',
      param: '工艺计划流水号组=' + num1 + '&零件图号组=' + num2 + '&规格组=' + num3 + '&工艺员流水号组=' + num4
    }
  })
}
// 查询已完工艺详细内容
export function selectTechnology(num1, num2) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '车间生产管理工艺_工艺任务分配_查询已完工艺',
      param: '零件图号=' + num1 + '&规格=' + num2
    }
  })
}
